### Method

# Phosh IdleDBusObjectSkeleton set_idle_monitor

#### Declaration [src]

    void
    phosh_idle_dbus_object_skeleton_set_idle_monitor (
      PhoshIdleDBusObjectSkeleton* object,
      PhoshIdleDBusIdleMonitor* interface_
    )

#### Description [src]

Sets the `PhoshIdleDBusIdleMonitor` instance for the D-Bus interface org.gnome.Mutter.IdleMonitor on `object`.

#### Parameters

`interface_`

  Type: `PhoshIdleDBusIdleMonitor`

  A `PhoshIdleDBusIdleMonitor` or `NULL` to clear the interface.

  The argument can be `NULL`.
  The data is owned by the caller of the method.